package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * 风险库部门信息表(ASafeBmxx)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:22
 */
@Data
@ApiModel("风险库部门信息表实体类")
@TableName(value = "a_safe_bmxx")
public class ASafeBmxx implements Serializable {

    private static final long serialVersionUID = -12700076800046848L;
    /**
     * 信息编号
     */
    @ApiModelProperty(value = "信息编号")
    private String xxbh;
    /**
     * 部门编号
     */
    @ApiModelProperty(value = "部门编号")
    private String bmbh;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String bmmc;
    /**
     * 父级编号
     */
    @ApiModelProperty(value = "父级编号")
    private String pid;
    /**
     * 记录状态 0弃用 1正常
     */
    @ApiModelProperty(value = "记录状态 0弃用 1正常")
    private Integer jlzt;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    private String gxry;
    private String rkry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 顺序
     */
    @ApiModelProperty(value = "顺序")
    private Integer xssx;
}

