package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeRwzq)表实体类
 *
 * @author wu
 * @since 2024-03-18 16:58:08
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_rwzq")
public class ASafeRwzq implements Serializable {

    private static final long serialVersionUID = 755354791962163485L;
    private String xxbh;
    /**
     * 周期开始时间
     */
    @ApiModelProperty(value = "周期开始时间")
    private Date zqkssj;
    /**
     * 周期结束时间
     */
    @ApiModelProperty(value = "周期结束时间")
    private Date zqjssj;
    /**
     * 任务类型,QYZC,WGXC,AJB,JNRY
     */
    @ApiModelProperty(value = "任务类型,QYZC,WGXC,AJB,JNRY")
    private String rwlx;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String bmbh;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    private String gxry;
    private String rkry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

