package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeQyjcxx;
import org.apache.ibatis.annotations.Param;

/**
 * (ASafeQyjcxx)表数据库访问层
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
public interface ASafeQyjcxxMapper extends BaseMapper<ASafeQyjcxx> {

    /**
     * 根据企业名称或信用代码查询数据
     *
     * @param qymc 企业名称
     * @param xybm 信用代码
     * @return 数据
     */
    ASafeQyjcxx findOneByqymcOrXybm(@Param("qymc") String qymc, @Param("xybm") String xybm);
}

