package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeXcrw;
import org.apache.ibatis.annotations.Select;

/**
 * (ASafeXcrw)表数据库访问层
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
public interface ASafeXcrwMapper extends BaseMapper<ASafeXcrw> {


    /**
     * 查询巡查任务主表2个月内是否有记录就不推
     */
    @Select("select count(*) from a_safe_xcrw where rksj  BETWEEN DATE_SUB( CURDATE(), INTERVAL 2 MONTH ) AND CURDATE() and qybh=#{enterPriseId} ")
    Integer xcrwNum(String enterPriseId);

}

