package com.mudu.service;



import com.baomidou.mybatisplus.extension.service.IService;
import com.mudu.entity.Enterprise;
import com.mudu.entity.dto.response.EnterpriseResponse;

import java.util.List;

/**
 * 企业基本信息表(Enterprise)表服务接口
 *
 * @author wu
 * @since 2024-02-22 16:14:24
 */
public interface EnterpriseService extends IService<Enterprise> {





    /**
     * 根据企业编号查询企业信息编号
     *
     * @return 企业信息
     */
    EnterpriseResponse findByQybh(String qybh);



}

