package com.mudu.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;


/**
 * (ASafeXcrwjcx)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_xcrwjcx")
public class ASafeXcrwjcx implements Serializable {

    private static final long serialVersionUID = 253429016629233219L;
    /**
     * 信息编号
     */
    @ApiModelProperty(value = "信息编号")
    private String xxbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 企业风险点编号
     */
    @ApiModelProperty(value = "企业风险点编号")
    private String qyfxdbh;
    /**
     * 周期编号
     */
    @ApiModelProperty(value = "周期编号")
    private String zqbh;
    /**
     * 任务编号
     */
    @ApiModelProperty(value = "任务编号")
    private String rwbh;
    /**
     * 检查时间
     */
    @ApiModelProperty(value = "检查时间")
    private Date jcsj;
    /**
     * 检查项结果
     */
    @ApiModelProperty(value = "检查项结果")
    private String jcxjg;
    /**
     * 检查要点
     */
    @ApiModelProperty(value = "检查要点")
    private String jcyd;
    /**
     * 检查要点编号
     */
    @ApiModelProperty(value = "检查要点编号")
    private String jcydbh;
    /**
     * 是否重点检查项 0否 1 是
     */
    @ApiModelProperty(value = "是否重点检查项 0否 1 是")
    private Integer sfzdjcx;
    /**
     * 整改期限
     */
    @ApiModelProperty(value = "整改期限")
    private Date zgqx;
    /**
     * 整改状态
     */
    @ApiModelProperty(value = "整改状态")
    private Integer zgzt;
    /**
     * 完成状态
     */
    @ApiModelProperty(value = "完成状态")
    private Integer wczt;
    /**
     * 整改时间
     */
    @ApiModelProperty(value = "整改时间")
    private Date zgsj;
    /**
     * 整改描述
     */
    @ApiModelProperty(value = "整改描述")
    private String zgms;
    /**
     * 整改逾期
     */
    @ApiModelProperty(value = "整改逾期")
    private Integer zgyq;
    /**
     * 历史整改逾期
     */
    @ApiModelProperty(value = "历史整改逾期")
    private Integer lszgyq;
    /**
     * 复查状态
     */
    @ApiModelProperty(value = "复查状态")
    private Integer fczt;
    /**
     * 复查历史逾期
     */
    @ApiModelProperty(value = "复查历史逾期")
    private Integer fclsyq;
    /**
     * 复查信息
     */
    @ApiModelProperty(value = "复查信息")
    private String fcxx;
    /**
     * 复查逾期
     */
    @ApiModelProperty(value = "复查逾期")
    private Integer fcyq;
    /**
     * 复查时间
     */
    @ApiModelProperty(value = "复查时间")
    private Date fcsj;
    /**
     * 复查期限
     */
    @ApiModelProperty(value = "复查期限")
    private Date fcqx;
    /**
     * 复查是否合格
     */
    @ApiModelProperty(value = "复查是否合格")
    private Integer fcsfhg;
    /**
     * 复查不合格
     */
    @ApiModelProperty(value = "复查不合格")
    private Integer fcbhg;
    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzbh;
    /**
     * 隐患描述
     */
    @ApiModelProperty(value = "隐患描述")
    private String yhms;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;
    /**
     * 是否多次发生隐患
     */
    @ApiModelProperty(value = "是否多次发生隐患")
    private Integer sfdcfsyh;
    /**
     * 是否展示
     */
    @ApiModelProperty(value = "是否展示")
    private Integer sfzs;
    /**
     * 巡查位置编号
     */
    @ApiModelProperty(value = "巡查位置编号")
    private String xcwzbh;
    /**
     * 巡查风险点编号
     */
    @ApiModelProperty(value = "巡查风险点编号")
    private String xcfxdbh;
    /**
     * 任务类型
     */
    @ApiModelProperty(value = "任务类型")
    private Integer rwlx;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
}

