package com.mudu.entity.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author dong
 * @since 2024/3/20 16:53
 */
@Data
@ApiModel("巡查图片响应类")
public class ACheckQuatzXcTpResponse {


    /**
     * 整改前照片
     */
    @ApiModelProperty(value = "整改前照片编号")
    private String zgqzp;


    /**
     * 整改后照片
     */
    @ApiModelProperty(value = "整改后照片编号")
    private String zghzp;

    /**
     * 整改前照片
     */
    @ApiModelProperty(value = "整改前照片集合")
    List<ACheckXcTpResponse> zgqzpList;


    /**
     * 整改后照片集合
     */
    @ApiModelProperty(value = "整改后照片集合")
    List<ACheckXcTpResponse> zghzpList;


}
