package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeFxd;
import com.mudu.entity.dto.request.ACheckRequest;
import com.mudu.entity.dto.response.ACheckResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 查询检查点数据服务数据层
 *
 * @author dong
 * @since 2024/3/11 16:29
 */
public interface ACheckMapper extends BaseMapper<ASafeFxd> {

    /**
     * 查询所有检查点数据
     *
     * @param req 查询条件
     * @return
     */
    List<ACheckResponse> selectAll(@Param("req") ACheckRequest req);
}
