package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.mudu.entity.Enterprise;
import com.mudu.entity.dto.response.EnterpriseResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业基本信息表(Enterprise)表数据库访问层
 *
 * @author wu
 * @since 2024-02-22 16:14:23
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {


    EnterpriseResponse findByQybh(@Param("qybh") String qybh);


}

