package com.mudu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mudu.entity.ASafeFxd;
import com.mudu.entity.dto.request.ACheckRequest;
import com.mudu.entity.dto.response.ACheckResponse;
import com.mudu.mapper.ACheckMapper;
import com.mudu.service.ACheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author dong
 * @since 2024/3/11 16:25
 */
@Service("aCheckService")
public class ACheckServiceImpl extends ServiceImpl<ACheckMapper, ASafeFxd> implements ACheckService {
    @Autowired
    private ACheckMapper aCheckMapper;

    @Override
    public List<ACheckResponse> selectAll(ACheckRequest aCheckRequest) {

        return aCheckMapper.selectAll(aCheckRequest);
    }
}
