package com.mudu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mudu.entity.dto.response.RwzqUuidResponse;
import com.mudu.mapper.ASafeRwzqMapper;
import com.mudu.entity.ASafeRwzq;
import com.mudu.service.ASafeRwzqService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * (ASafeRwzq)表服务实现类
 *
 * @author wu
 * @since 2024-03-18 16:58:08
 */
@Service("aSafeRwzqService")
public class ASafeRwzqServiceImpl extends ServiceImpl<ASafeRwzqMapper, ASafeRwzq> implements ASafeRwzqService {

    @Resource
    private  ASafeRwzqMapper aSafeRwzqMapper;
    @Override
    public RwzqUuidResponse getXcUuid() {
        return aSafeRwzqMapper.getXcUuid();
    }

    @Override
    public RwzqUuidResponse getZcUuid() {
        return aSafeRwzqMapper.getZcUuid();
    }
}

