package com.mudu.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.mudu.entity.Enterprise;
import com.mudu.entity.dto.response.EnterpriseResponse;
import com.mudu.mapper.EnterpriseMapper;
import com.mudu.service.EnterpriseService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业基本信息表(Enterprise)表服务实现类
 *
 * @author wu
 * @since 2024-02-22 16:14:24
 */
@Service("enterpriseService")

public class EnterpriseServiceImpl extends ServiceImpl<EnterpriseMapper, Enterprise> implements EnterpriseService {


    @Override
    public EnterpriseResponse findByQybh(String qybh) {
        return baseMapper.findByQybh(qybh);
    }


}

