package com.mudu.service.impl;

import cn.hutool.http.HttpRequest;
import cn.hutool.json.JSONUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * 木渎二期登录接口实现类
 *
 * @author wu
 * @since 2024/7/4 下午4:23
 */
@Service("LoginService")
public class LoginServiceImpl implements LoginService {

    @Value("${getToken}")
    private String getTokenUrl;

    /**
     * 获取木渎二期token
     *
     * @return 木渎二期token
     */
    @Override
    public String getToken() {
        Map<String, Object> map = new HashMap<>();
        map.put("username", "admin");
        map.put("password", "Mudu@123.");
        String body = JSONUtil.toJsonStr(map);
        String responseList = HttpRequest.post(getTokenUrl).body(body)
                .execute().body();
        return (String) JSONUtil.parseObj(responseList).get("token");
    }
}
